#!/bin/sh
#
########################################################################
#
# Script for using xalign in standalone format for mac osx aqua 
#
# Tim Jellard 
# June 1996
#
# Robert Boyko
# Feb 2004 - completely revised
#
########################################################################
 
#
# the next line restarts using wish \
exec wish "$0" "$@"

package require Tk
namespace eval alpha {}
tk appname Alphatk

# MacTk seems to have a bug if we exit using exit.
# see http://www.tcl.tk/software/mac/features.html
tk appname xalign 
rename exit __exit
proc exit {} {
    destroy .
    # force the exit as well.
    __exit
}

##########################################################################

set VERSION		"v6.1"
set NAME		"xalign-$VERSION"
set AQUA 		"$NAME.app/Contents/Resources/Scripts"

#
# look for installation directory if not set 
#
if [ catch {set PROG_HOME [exec printenv XALIGN_HOME]} err] {
	set path "/Applications/$AQUA /Applications/bdslab/$AQUA"
	if ![ catch {set MY_HOME [exec printenv HOME]} err] {
		set path "$MY_HOME/$AQUA $path"
		set path "$MY_HOME/Applications/bdslab/$AQUA $path"
		set path "$MY_HOME/Applications/$AQUA $path"
		set path "$MY_HOME/Desktop/$AQUA $path"
	}

	# look for the software
	set PROG_HOME 0
	foreach loc $path {
		if [file isdirectory $loc] {
			set PROG_HOME $loc
			break
		}
	}

	# didn't find it
	if { $PROG_HOME == 0 } {
		error "Cannot find $NAME. Please place in Applications or on the desktop."
	}
}

# add main xalign.tcl module
source $PROG_HOME/tcl/xalign.tcl

#
# decide where working directory is
#
if [ catch {set HOME_DIR [exec printenv HOME]} err] {
    set HOME_DIR "/tmp"
}
set WORKSPACE $HOME_DIR/xalign.out
if ![ file isdirectory $WORKSPACE ] {
    if [ catch {eval exec "mkdir $WORKSPACE" } err] {
        error "Cannot create xalign output directory '$WORKSPACE'."
    }
}

# disable default tcl window when wish is invoked 
wm title . "xalign"
wm withdraw .

# start up my window instead, write files to the current workspace
xalign_main $PROG_HOME $WORKSPACE
destroy .
